Bug 62113 - Incorrect definition of CYGNUM_HAL_INTERRUPT_DMA1_ERR in file hal\arm\xscale\verde\current\include\hal_var_ints.h
Incorrect definition of CYGNUM_HAL_INTERRUPT_DMA1_ERR in file hal\arm\xscale\...
Status: CLOSED CURRENTRELEASE
Product: eCos
Classification: Retired
Component: HAL (Show other bugs)
CVS
xscale Linux
medium Severity medium
: ---
: ---
Assigned To: eCos bugs internal list
eCos bugs internal list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 11:52 EST by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 11:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-27 11:52:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Incorrect definition of CYGNUM_HAL_INTERRUPT_DMA1_ERR in file 
hal\arm\xscale\verde\current\include\hal_var_ints.h
#define CYGNUM_HAL_INTERRUPT_DMA1_ERR      22
should be replaced by
#define CYGNUM_HAL_INTERRUPT_DMA1_ERR      21
#define CYGNUM_HAL_INTERRUPT_RSVD_22       22

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compare file to IOP80321 programmer's manual
2.
3.
	

Actual Results:  Note the difference in the register definitions of table 280 
on page 586

Additional info:
Comment 1 Mark Salter 2002-04-01 09:58:44 EST
Suggested fix applied to CVS.

Note You need to log in before you can comment on or make changes to this bug.